## org.eclipse.emf.ecore
Interface EStructuralFeature.Internal.SettingDelegate.Factory

Enclosing interface:
  EStructuralFeature.Internal.SettingDelegate

    public static interface EStructuralFeature.Internal.SettingDelegate.Factory

A factory for creating setting delegates.

Since:
  2.6

Nested Class Summary
`static interface` `EStructuralFeature.Internal.SettingDelegate.Factory.Descriptor` A `Factory` wrapper that is used by the `EStructuralFeature.Internal.SettingDelegate.Factory.Registry`.
`static interface` `EStructuralFeature.Internal.SettingDelegate.Factory.Registry` A registry of factories for creating setting delegates.

Method Summary
`EStructuralFeature.Internal.SettingDelegate` `createSettingDelegate(EStructuralFeature eStructuralFeature)` Creates a setting delegate for the given feature.

Method Detail

### createSettingDelegate

    EStructuralFeature.Internal.SettingDelegate createSettingDelegate(EStructuralFeature eStructuralFeature)

  Creates a setting delegate for the given feature.

  Parameters:
    `eStructuralFeature` - the feature for which a setting delegate is to be created.
  Returns:
    a new a setting delegate for the given feature.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.